// 灵宝实例数据结构
struct LingBaoInstance {
    #[default=0]
    special_instance_id : u32,          // 实例唯一ID
    #[default=0]
    star_level: u8,            // 当前星级
    #[default=0]
    hero_id : u32,
}

// 玩家灵宝数据库
#[primary=rid,db=logfile,dbMonitor=true]
struct PlayerLingBaoDB {
    rid : u32,                  // 玩家唯一ID
    #[default=new HashMap()]
    instances : HashMap<u32, LingBaoInstance>, // 灵宝实例集合  special_instance_id : LingBaoInstance
    #[default=new HashMap()]
    hero_equips : HashMap<u32, u32>,     // 英雄装备映射  hero_id  : special_instance_id 
}
